package com.mvc.dao;

import com.mvc.entity.TStkinDetail;
import com.mvc.entity.TStkinDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStkinDetailMapper {
    long countByExample(TStkinDetailExample example);

    int deleteByExample(TStkinDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TStkinDetail record);

    int insertSelective(TStkinDetail record);

    List<TStkinDetail> selectByExample(TStkinDetailExample example);

    TStkinDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TStkinDetail record, @Param("example") TStkinDetailExample example);

    int updateByExample(@Param("record") TStkinDetail record, @Param("example") TStkinDetailExample example);

    int updateByPrimaryKeySelective(TStkinDetail record);

    int updateByPrimaryKey(TStkinDetail record);
}